package com.njcn.pojo.commons.device;

import java.io.Serializable;
import java.util.Date;

public class EventDataList implements Serializable{
	private Date timeid;
	private long ms;
	private String describe;
	private Long wavetype;
	private float persisttime;
	private float eventvalue;
	private float persisttimea;
	private float eventvaluea;
	private float persisttimeb;
	private float eventvalueb;
	private float persisttimec;
	private float eventvaluec;
	private Long state;
	private String EventType;
	private String EventReason;
	private String time;

	private float severity;

	private String eventDetailIndex;
	private Long lineId;
	private String eventassIndex;
	private String lineName;
	private String gdName;
	private String subName;
	private String scale;
	private String loadType;
	private String eventName;
	private String fileFlag;
	private String type;
	
	public Date getTimeid() {
		return timeid;
	}
	public void setTimeid(Date timeid) {
		this.timeid = timeid;
	}
	public long getMs() {
		return ms;
	}
	public void setMs(long ms) {
		this.ms = ms;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	public Long getWavetype() {
		return wavetype;
	}
	public void setWavetype(Long wavetype) {
		this.wavetype = wavetype;
	}
	public float getPersisttime() {
		return persisttime;
	}
	public void setPersisttime(float persisttime) {
		this.persisttime = persisttime;
	}
	public float getEventvalue() {
		return eventvalue;
	}
	public void setEventvalue(float eventvalue) {
		this.eventvalue = eventvalue;
	}
	public float getPersisttimea() {
		return persisttimea;
	}
	public void setPersisttimea(float persisttimea) {
		this.persisttimea = persisttimea;
	}
	public float getEventvaluea() {
		return eventvaluea;
	}
	public void setEventvaluea(float eventvaluea) {
		this.eventvaluea = eventvaluea;
	}
	public float getPersisttimeb() {
		return persisttimeb;
	}
	public void setPersisttimeb(float persisttimeb) {
		this.persisttimeb = persisttimeb;
	}
	public float getEventvalueb() {
		return eventvalueb;
	}
	public void setEventvalueb(float eventvalueb) {
		this.eventvalueb = eventvalueb;
	}
	public float getPersisttimec() {
		return persisttimec;
	}
	public void setPersisttimec(float persisttimec) {
		this.persisttimec = persisttimec;
	}
	public float getEventvaluec() {
		return eventvaluec;
	}
	public void setEventvaluec(float eventvaluec) {
		this.eventvaluec = eventvaluec;
	}
	public Long getState() {
		return state;
	}
	public void setState(Long state) {
		this.state = state;
	}
	public String getEventType() {
		return EventType;
	}
	public void setEventType(String eventType) {
		EventType = eventType;
	}
	public String getEventReason() {
		return EventReason;
	}
	public void setEventReason(String eventReason) {
		EventReason = eventReason;
	}
	public String getTime() {
		return time;
	}
	public void setTime(String time) {
		this.time = time;
	}
	public String getEventDetailIndex() {
		return eventDetailIndex;
	}
	public void setEventDetailIndex(String eventDetailIndex) {
		this.eventDetailIndex = eventDetailIndex;
	}
	public Long getLineId() {
		return lineId;
	}
	public void setLineId(Long lineId) {
		this.lineId = lineId;
	}
	public String getEventassIndex() {
		return eventassIndex;
	}
	public void setEventassIndex(String eventassIndex) {
		this.eventassIndex = eventassIndex;
	}
	public String getLineName() {
		return lineName;
	}
	public void setLineName(String lineName) {
		this.lineName = lineName;
	}
	public String getGdName() {
		return gdName;
	}
	public void setGdName(String gdName) {
		this.gdName = gdName;
	}
	public String getSubName() {
		return subName;
	}
	public void setSubName(String subName) {
		this.subName = subName;
	}
	public String getScale() {
		return scale;
	}
	public void setScale(String scale) {
		this.scale = scale;
	}
	public String getLoadType() {
		return loadType;
	}
	public void setLoadType(String loadType) {
		this.loadType = loadType;
	}
	public String getEventName() {
		return eventName;
	}
	public void setEventName(String eventName) {
		this.eventName = eventName;
	}
	public String getFileFlag() {
		return fileFlag;
	}
	public void setFileFlag(String fileFlag) {
		this.fileFlag = fileFlag;
	}


	public float getSeverity() {
		return severity;
	}

	public void setSeverity(float severity) {
		this.severity = severity;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
}
